Subject: Re: FVWM: Keyboard Malfunction

From: Dan Espen <[email-masked]>
Date: Fri, 01 Feb 2002 10:28:58 -0500

"Hoshino, Daisuke" <[email-masked]> writes:
> Dominik
> i just ran the command but the results are exactly the same.
> Let me try running fvwm under CDE.
> 
> what else do you think is a possible problem??

I don't know what the problem is, but I'll try to contribute.

First, you don't say where you see "^[".

Some programs use "^[" as a means of displaying an Escape character.

When you press "a" do you see just "^[", or is it followed by another
character?  To really see what a key is generating, you might do this:

dane-2.cc> cat >/tmp/xx
abad
Control-d
dane-2.cc> od -x /tmp/xx
0000000 6261 6461 000a
0000005

You might have to create an alias for the cat command if you can't
type an "a".

If this is happening in a terminal window, which terminal program
are you using?

What do you have $LANG set to?

I'd guess part of the  CDE initialization procedure is doing something
to your keyboard to make it work right.

> thanks,
> Daisuke
> 
> -----Original Message-----
> From: Dominik Vogt [mailto:[email-masked]]
> Sent: Thursday, January 31, 2002 7:00 PM
> To: Hoshino, Daisuke; fvwm
> Subject: Re: FVWM: Keyboard Malfunction
> 
> 
> On Thu, Jan 31, 2002 at 12:11:53PM +0900, Hoshino, Daisuke wrote:
> > 
> > 
> > 
> > we have been testing out SunBlade100 and encountering a keyboard
> > malfunction.
> > 
> > keyboard functions normally when machine is logged-in with CDE or at the
> > login screen.
> > on the contrary, when logged in using fvwm some keys do not function
> > properly
> > (ie "a","q","space-bar" etc.. keys appear as "^[" )
> > We tried several login attempts, including using root to log-in from the
> > console.
> > 
> > could you shed some lights on this issue please?
> 
> CDE may be modifying the tty settings of terminal windows or the
> keyboard layout of the X server.  If you compare the output of
> 
>   $ stty -a 
> 
> from fvwm and CDE, are there any differences?  Likewise, is the
> output of
> 
>   $ xmodmap -pk
> 
> identical?
> 
> You could also try running fvwm under CDE.  You can find the
> instructions to set this up in question 2.2 in the fvwm FAQ.
> 
> Bye
> 
> Dominik ^_^  ^_^
> 
>  --
> Dominik Vogt, [email-masked]
> Reply-To: [email-masked]
> --
> Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
> To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
> message to [email-masked].
> To report problems, send mail to [email-masked].

-- 
Dan Espen
444 Hoes Lane  Room RRC 1C-214           E-mail: [email-masked]
Piscataway, NJ 08854                     Phone: (732) 699-5570
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].